### Constructor

# GimpUi LabelIntWidget new

#### Declaration [src]

    GtkWidget*
    gimp_label_int_widget_new (
      const gchar* text,
      GtkWidget* widget
    )

#### Description [src]

Creates a new `GimpLabelIntWidget` whose “value” property is bound to that of `widget` (which must therefore have such an integer property).

#### Parameters

`text`

  Type: `const gchar*`

  The text for the `GtkLabel`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` to use.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkWidget`

The new `GimpLabelIntWidget` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.